Bug 13946 - REGRESSION: Clicking a <button> clears the selection in contenteditable areas
Summary: REGRESSION: Clicking a <button> clears the selection in contenteditable areas
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.5
: P1 Blocker
Assignee: Nobody
URL:
Keywords: HasReduction, InRadar, Regression
Depends on:
Blocks:
 
Reported: 2007-05-30 21:25 PDT by Timothy Hatcher
Modified: 2007-08-30 17:25 PDT (History)
2 users (show)

See Also:


Attachments
Testcase (352 bytes, text/html)
2007-05-30 21:26 PDT, Timothy Hatcher
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Hatcher 2007-05-30 21:25:33 PDT
Clicking a <button> (which has a user agent rule of -webkit-user-select: ignore) clears the selection in contenteditable areas. This makes it impossible to create a editing toolbar.

Note that non-editable selections aren't cleared in the document.
Comment 1 Timothy Hatcher 2007-05-30 21:26:01 PDT
Created attachment 14797 [details]
Testcase
Comment 2 Dave Hyatt 2007-05-30 22:11:52 PDT
This is a regression I believe from when this first went in to open source...
Comment 3 Justin Garcia 2007-05-31 02:00:28 PDT
I'll take this one.
Comment 4 Timothy Hatcher 2007-05-31 11:17:45 PDT
<rdar://problem/5240265>
Comment 5 Adele Peterson 2007-08-30 17:25:48 PDT
Fixed in r24334 and r24336